io.vertx.rxjava.ext.web.sstore

## Class SessionStore

- java.lang.Object
- - io.vertx.rxjava.ext.web.sstore.SessionStore

- Direct Known Subclasses:
    ClusteredSessionStore, LocalSessionStore

      public class SessionStore
      extends Object

  A session store is used to store sessions for an Vert.x-Web web app

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<SessionStore>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionStore(SessionStore delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(Handler<AsyncResult<Boolean>> resultHandler)` Remove all sessions from the store
    `rx.Observable<Boolean>` | `clearObservable()` Deprecated. use `rxClear()` instead
    `void` | `close()` Close the store
    `Session` | `createSession(long timeout)` Create a new session using the default min length.
    `Session` | `createSession(long timeout, int length)` Create a new session
    `void` | `delete(String id, Handler<AsyncResult<Boolean>> resultHandler)` Delete the session with the specified ID
    `rx.Observable<Boolean>` | `deleteObservable(String id)` Deprecated. use `rxDelete(java.lang.String)` instead
    `void` | `get(String id, Handler<AsyncResult<Session>> resultHandler)` Get the session with the specified ID
    `SessionStore` | `getDelegate()`
    `rx.Observable<Session>` | `getObservable(String id)` Deprecated. use `rxGet(java.lang.String)` instead
    `static SessionStore` | `newInstance(SessionStore arg)`
    `void` | `put(Session session, Handler<AsyncResult<Boolean>> resultHandler)` Add a session with the specified ID
    `rx.Observable<Boolean>` | `putObservable(Session session)` Deprecated. use `rxPut(io.vertx.rxjava.ext.web.Session)` instead
    `long` | `retryTimeout()` The retry timeout value in milli seconds used by the session handler when it retrieves a value from the store. A non positive value means there is no retry at all.
    `rx.Single<Boolean>` | `rxClear()` Remove all sessions from the store
    `rx.Single<Boolean>` | `rxDelete(String id)` Delete the session with the specified ID
    `rx.Single<Session>` | `rxGet(String id)` Get the session with the specified ID
    `rx.Single<Boolean>` | `rxPut(Session session)` Add a session with the specified ID
    `rx.Single<Integer>` | `rxSize()` Get the number of sessions in the store
    `void` | `size(Handler<AsyncResult<Integer>> resultHandler)` Get the number of sessions in the store
    `rx.Observable<Integer>` | `sizeObservable()` Deprecated. use `rxSize()` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<SessionStore> __TYPE_ARG

  - ### Constructor Detail

    - #### SessionStore

          public SessionStore(SessionStore delegate)

  - ### Method Detail

    - #### getDelegate

          public SessionStore getDelegate()

    - #### retryTimeout

          public long retryTimeout()

      The retry timeout value in milli seconds used by the session handler when it retrieves a value from the store.

      A non positive value means there is no retry at all.
      Returns:
        the timeout value, in ms

    - #### createSession

          public Session createSession(long timeout)

      Create a new session using the default min length.
      Parameters:
        `timeout` - - the session timeout, in ms
      Returns:
        the session

    - #### createSession

          public Session createSession(long timeout,
                                       int length)

      Create a new session
      Parameters:
        `timeout` - - the session timeout, in ms
        `length` - - the required length for the session id
      Returns:
        the session

    - #### get

          public void get(String id,
                          Handler<AsyncResult<Session>> resultHandler)

      Get the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
        `resultHandler` - will be called with a result holding the session, or a failure

    - #### getObservable

          @Deprecated
          public rx.Observable<Session> getObservable(String id)

      Deprecated. use `rxGet(java.lang.String)` instead
      Get the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
      Returns:

    - #### rxGet

          public rx.Single<Session> rxGet(String id)

      Get the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
      Returns:

    - #### delete

          public void delete(String id,
                             Handler<AsyncResult<Boolean>> resultHandler)

      Delete the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
        `resultHandler` - will be called with a result true/false, or a failure

    - #### deleteObservable

          @Deprecated
          public rx.Observable<Boolean> deleteObservable(String id)

      Deprecated. use `rxDelete(java.lang.String)` instead
      Delete the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
      Returns:

    - #### rxDelete

          public rx.Single<Boolean> rxDelete(String id)

      Delete the session with the specified ID
      Parameters:
        `id` - the unique ID of the session
      Returns:

    - #### put

          public void put(Session session,
                          Handler<AsyncResult<Boolean>> resultHandler)

      Add a session with the specified ID
      Parameters:
        `session` - the session
        `resultHandler` - will be called with a result true/false, or a failure

    - #### putObservable

          @Deprecated
          public rx.Observable<Boolean> putObservable(Session session)

      Deprecated. use `rxPut(io.vertx.rxjava.ext.web.Session)` instead
      Add a session with the specified ID
      Parameters:
        `session` - the session
      Returns:

    - #### rxPut

          public rx.Single<Boolean> rxPut(Session session)

      Add a session with the specified ID
      Parameters:
        `session` - the session
      Returns:

    - #### clear

          public void clear(Handler<AsyncResult<Boolean>> resultHandler)

      Remove all sessions from the store
      Parameters:
        `resultHandler` - will be called with a result true/false, or a failure

    - #### clearObservable

          @Deprecated
          public rx.Observable<Boolean> clearObservable()

      Deprecated. use `rxClear()` instead
      Remove all sessions from the store
      Returns:

    - #### rxClear

          public rx.Single<Boolean> rxClear()

      Remove all sessions from the store
      Returns:

    - #### size

          public void size(Handler<AsyncResult<Integer>> resultHandler)

      Get the number of sessions in the store
      Parameters:
        `resultHandler` - will be called with the number, or a failure

    - #### sizeObservable

          @Deprecated
          public rx.Observable<Integer> sizeObservable()

      Deprecated. use `rxSize()` instead
      Get the number of sessions in the store
      Returns:

    - #### rxSize

          public rx.Single<Integer> rxSize()

      Get the number of sessions in the store
      Returns:

    - #### close

          public void close()

      Close the store

    - #### newInstance

          public static SessionStore newInstance(SessionStore arg)

Copyright © 2017. All rights reserved.